Bug 89776 - CAN-2003-0188 possibility of local root exploit in lv
Summary: CAN-2003-0188 possibility of local root exploit in lv
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: lv   
(Show other bugs)
Version: 2.1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Akira TAGOH
QA Contact:
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-04-28 07:17 UTC by Akira TAGOH
Modified: 2007-11-30 22:06 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-05-16 10:12:17 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2003:167 normal SHIPPED_LIVE Low: lv security update 2003-06-13 04:00:00 UTC
Red Hat Product Errata RHSA-2003:169 normal SHIPPED_LIVE : Updated lv packages fix vulnerability 2003-05-16 04:00:00 UTC

Description Akira TAGOH 2003-04-28 07:17:41 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; ja-JP; rv:1.2.1) Gecko/20030225

Description of problem:
See also http://bugs.debian.org/190941 for more details.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.for example, make a .lv file on /tmp that contains editor option ('-E'), which
is going to runs a malicious program.
2.runs lv to see some file on /tmp.
3.type 'v' to edit that file.
    

Actual Results:  lv is always trying to read current directory.


Expected Results:  I don't know correct fix, but it may be bad that lv is trying
to read .lv file on any directories.


Additional info:

Comment 1 Mark J. Cox 2003-05-01 12:13:21 UTC
Errata RHSA-2003:167 in progress

Comment 2 Mark J. Cox 2003-05-16 10:12:17 UTC
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2003-169.html



Note You need to log in before you can comment on or make changes to this bug.